Restore an asset within a protection group
Restores the specified asset backup to the specified target destination.
- application/json
Request Body required
source object required
The parameters for initiating a GCS protection group asset restore from a backup.
backup_id stringThe Clumio-assigned ID of the protection group GCS asset backup to be restored. Use the GET /backups/gcp/protection-groups/assets endpoint to fetch valid values.
Note that only one ofbackup_idorpitrmust be given.object_filters object
Search for or restore only objects that pass the source object filter.
etag stringFilter for objects with this etag.
latest_version_only boolean requiredIf set to true, filter for latest versions only. Otherwise, all versions will be returned.
max_object_size_bytes int64Filter for objects with at most this size in bytes.
min_object_size_bytes int64Filter for objects with at least this size in bytes.
object_key_contains stringFilter for objects whose key contains this string.
object_key_matches stringFilter for objects whose key exactly equals this string.
object_key_prefix stringFilter for objects that start with this key prefix.
object_key_regex_matches stringFilter for objects whose key matches this RE2 regular expression as a full match. The backend wraps the pattern as
^(<pattern>)$, so you do not need to add anchors yourself.object_key_suffix stringFilter for objects that end with this key suffix.
storage_classes string[]Storage class to include in the restore. If not specified, then all objects across all storage classes will be restored. Valid values are:
STANDARD,NEARLINE,COLDLINE,ARCHIVE.version_id stringFilter for objects with this version ID.
pitr object
The parameters for initiating a GCS protection group asset restore from a point in time.
gcs_asset_id string requiredClumio-assigned ID of a GCS asset, representing the bucket within the protection group to restore from.
restore_end_timestamp stringThe end timestamp of the period within which objects are to be restored, in RFC-3339 format. Clumio searches for objects modified before the given time. If
restore_end_timestampis empty, Clumio searches for objects modified up to the current time of the restore request.restore_start_timestamp stringThe start timestamp of the period within which objects are to be restored, in RFC-3339 format. Clumio searches for objects modified since the given time. If
restore_start_timestampis empty, Clumio searches for objects from the beginning of the first backup.target object required
The destination where the GCS protection group will be restored.
bucket_id string requiredThe Clumio-assigned ID of the bucket to which the backup must be restored. Use the GET /datasources/gcp/cloud-storage-buckets endpoint to fetch valid values.
default_object_checksum_algorithm stringPossible values: [
CRC32C,MD5]Default value:
CRC32CDefault GCS checksum algorithm for restored object. Valid values are:
CRC32C,MD5.
Note that this will be applied when backup didn't have checksum algorithm information.labels object[]
The GCP labels to be applied to the restored objects. The restored objects will not have any labels applied if this is specified as
null.key string requiredThe GCP-assigned label key.
value stringThe GCP-assigned label value.
overwrite booleanDefault value:
falseIf overwrite is set to true, we will overwrite an object if it exists. If it's set to false, then we will fail the restore if an object already exists.
prefix stringPrefix to restore the objects under. If more than one bucket is restored, the bucket name will be appended to the prefix.
project_id string requiredThe Clumio-assigned ID of the GCP project to be used as the restore destination. Use the GET /datasources/gcp/cloud-storage-buckets/{bucket_id} endpoint to fetch the project ID for a bucket.
restore_original_storage_class booleanDefault value:
falseWhether to restore objects with their original storage class or not.
If it istrue,storage_classmust be empty. Otherwise,storage_classmust be given.storage_class stringPossible values: [
STANDARD,NEARLINE,COLDLINE,ARCHIVE]Storage class for restored objects. Valid values are:
STANDARD,NEARLINE,COLDLINE,ARCHIVE.
Note that this must be given unlessrestore_original_storage_classistrue.
- 202
- default
Success
- application/api.clumio.restored-gcs-protection-group-assets=v1+json
- Schema
- Example (from schema)
Schema
- task_id string
The Clumio-assigned ID of the task created by this restore request. The progress of the task can be monitored using the
GET /tasks/{task_id}endpoint.
{
"task_id": "string"
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}